%define upstream_name    Complete-Bash
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Completion module for bash shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Rinci)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Bash allows completion to come from various sources. The simplest is from a
list of words ('-W'):

 % complete -W "one two three four" somecmd
 % somecmd t<Tab>
 two  three

Another source is from a bash function ('-F'). The function will receive
input in two variables: 'COMP_WORDS' (array, command-line chopped into
words) and 'COMP_CWORD' (integer, index to the array of words indicating
the cursor position). It must set an array variable 'COMPREPLY' that
contains the list of possible completion:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE README META.json META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.210.0-4pclos2017
- rebuild against updates

